Delen via


Database Operations - List By Database

Hiermee haalt u een lijst met bewerkingen op die in de database worden uitgevoerd.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/operations?api-version=2025-01-01

URI-parameters

Name In Vereist Type Description
databaseName
path True

string

De naam van de database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

serverName
path True

string

De naam van de server.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

DatabaseOperationListResult

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

List the database management operations

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations?api-version=2025-01-01

Voorbeeldrespons

{
  "value": [
    {
      "name": "11111111-1111-1111-1111-111111111111",
      "type": "Microsoft.Sql/servers/databases/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/11111111-1111-1111-1111-111111111111",
      "properties": {
        "description": "'UpdateLogicalDatabase' on database 'testdb', Source ServiceLevelObjective 'SQLDB_GP_Gen5_2', target ServiceLevelObjective 'SQLDB_HS_Gen5_2', target database MaxSize '32'GB",
        "databaseName": "testdb",
        "estimatedCompletionTime": "2023-02-17T14:30:30.71Z",
        "isCancellable": true,
        "operation": "UpdateLogicalDatabase",
        "operationFriendlyName": "ALTER DATABASE",
        "percentComplete": 100,
        "serverName": "testsvr",
        "startTime": "2023-02-13T06:25:23.67Z",
        "state": "Succeeded"
      }
    },
    {
      "name": "55555555-5555-5555-5555-555555555555",
      "type": "Microsoft.Sql/servers/databases/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/55555555-5555-5555-5555-555555555555",
      "properties": {
        "description": "'UpdateLogicalDatabase' on database 'testdb', Source ServiceLevelObjective 'SQLDB_BC_Gen5_6', target ServiceLevelObjective 'SQLDB_HS_Gen5_6', target database MaxSize '32'GB",
        "databaseName": "testdb",
        "estimatedCompletionTime": "2024-09-27T12:44:33.953Z",
        "isCancellable": true,
        "operation": "UpdateLogicalDatabase",
        "operationFriendlyName": "ALTER DATABASE",
        "operationPhaseDetails": {
          "phase": "LogTransitionInProgress",
          "phaseInformation": {
            "currentStep": "1",
            "logTransitioningInProgress": "True",
            "totalSteps": "6"
          }
        },
        "percentComplete": 50,
        "serverName": "testsvr",
        "startTime": "2024-09-27T05:42:30.097Z",
        "state": "InProgress"
      }
    },
    {
      "name": "55555555-5555-5555-5555-555555555555",
      "type": "Microsoft.Sql/servers/databases/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/55555555-5555-5555-5555-555555555555",
      "properties": {
        "description": "'UpdateLogicalDatabase' on database 'testdb', Source ServiceLevelObjective 'SQLDB_GP_Gen5_6', target ServiceLevelObjective 'SQLDB_HS_Gen5_6', target database MaxSize '32'GB",
        "databaseName": "testdb",
        "estimatedCompletionTime": "2024-09-27T12:28:10.83Z",
        "isCancellable": true,
        "operation": "UpdateLogicalDatabase",
        "operationFriendlyName": "ALTER DATABASE",
        "operationPhaseDetails": {
          "phase": "BuildingHyperscaleComponents",
          "phaseInformation": {
            "creatingPrimaryHyperscaleComponents": "True",
            "currentStep": "3",
            "totalSteps": "6"
          }
        },
        "percentComplete": 50,
        "serverName": "testsvr",
        "startTime": "2024-09-27T05:13:37.84Z",
        "state": "InProgress"
      }
    },
    {
      "name": "55555555-5555-5555-5555-555555555555",
      "type": "Microsoft.Sql/servers/databases/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/55555555-5555-5555-5555-555555555555",
      "properties": {
        "description": "'UpdateLogicalDatabase' on database 'testdb', Source ServiceLevelObjective 'SQLDB_GP_Gen5_6', target ServiceLevelObjective 'SQLDB_HS_Gen5_6', target database MaxSize '32'GB",
        "databaseName": "testdb",
        "estimatedCompletionTime": "2024-09-27T14:59:54.38Z",
        "isCancellable": true,
        "operation": "UpdateLogicalDatabase",
        "operationFriendlyName": "ALTER DATABASE",
        "operationPhaseDetails": {
          "phase": "WaitingForCutover",
          "phaseInformation": {
            "currentStep": "5",
            "dataDelayInMb": "0",
            "performCutoverBy": "2024-09-30T07:43:55.08Z",
            "totalSteps": "6"
          }
        },
        "percentComplete": 50,
        "serverName": "testsvr",
        "startTime": "2024-09-27T07:31:56.087Z",
        "state": "InProgress"
      }
    },
    {
      "name": "55555555-5555-5555-5555-555555555555",
      "type": "Microsoft.Sql/servers/databases/operations",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/operations/55555555-5555-5555-5555-555555555555",
      "properties": {
        "description": "'UpdateLogicalDatabase' on database 'testdb'",
        "databaseName": "testdb",
        "errorCode": 40640,
        "errorDescription": "The server encountered an unexpected exception.",
        "errorSeverity": 20,
        "isUserError": true,
        "operation": "UpdateLogicalDatabase",
        "operationFriendlyName": "ALTER DATABASE",
        "percentComplete": 100,
        "serverName": "testsvr",
        "startTime": "2023-02-24T11:48:29.16Z",
        "state": "Failed"
      }
    }
  ]
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

DatabaseOperation

Een databasebewerking.

DatabaseOperationListResult

De reactie van een DatabaseOperation-lijstoperatie.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ManagementOperationState

De bewerkingsstatus.

Phase

De bewerkingsfase.

PhaseDetails

De fase details eigenschappen van een databasebewerking.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

DatabaseOperation

Een databasebewerking.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.databaseName

string

De naam van de database waarop de bewerking wordt uitgevoerd.

properties.description

string

De beschrijving van de operatie.

properties.errorCode

integer (int32)

De foutcode van de bewerking.

properties.errorDescription

string

De beschrijving van de bewerkingsfout.

properties.errorSeverity

integer (int32)

De ernst van de bewerkingsfout.

properties.estimatedCompletionTime

string (date-time)

De geschatte voltooiingstijd van de bewerking.

properties.isCancellable

boolean

Of de bewerking kan worden geannuleerd.

properties.isUserError

boolean

Of de fout al dan niet een gebruikersfout is.

properties.operation

string

De naam van de bewerking.

properties.operationFriendlyName

string

De beschrijvende naam van de bewerking.

properties.operationPhaseDetails

PhaseDetails

Details van de bewerkingsfase.

properties.percentComplete

integer (int32)

Het percentage voltooide bewerking.

properties.serverName

string

De naam van de server.

properties.startTime

string (date-time)

De begintijd van de bewerking.

properties.state

ManagementOperationState

De bewerkingsstatus.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

DatabaseOperationListResult

De reactie van een DatabaseOperation-lijstoperatie.

Name Type Description
nextLink

string (uri)

De koppeling naar de volgende pagina met items

value

DatabaseOperation[]

De DatabaseOperation-items op deze pagina

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

ManagementOperationState

De bewerkingsstatus.

Waarde Description
Pending

In afwachting

InProgress

In uitvoering

Succeeded

Geslaagd

Failed

Mislukt

CancelInProgress

CancelInProgress

Cancelled

Geannuleerd

Phase

De bewerkingsfase.

Waarde Description
LogTransitionInProgress

LogTransitionInProgress

Copying

Kopiƫren

BuildingHyperscaleComponents

GebouwHyperscaleComponents

Catchup

Catchup

WaitingForCutover

Wachten op Cutover

CutoverInProgress

CutoverInProgress

PhaseDetails

De fase details eigenschappen van een databasebewerking.

Name Type Description
phase

Phase

De bewerkingsfase.

phaseInformation

object

De informatie over de bewerkingsfase.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.